<?
if ( is_array( $this -> articles ) ) foreach ( $this -> articles as $article )
{
  if ( $article['password'] and !\S::get_session( 'article-' . $article['id'] . '-' . $article['password'] ) )
    echo \front\view\Articles::password_view( [ 'article' => $article ] );
  else
  {      
    $tpl = new \Tpl;
    $tpl -> page_id = $this -> page_id;
    $tpl -> article = $article;
    echo $tpl -> render( 'articles/article-entry' );
  }
}
